WABT(1)

NAME
wasm2wat - translate from the binary format to the text format

SYNOPSIS
wasm2wat [options] file

DESCRIPTION
wasm2wat Read a file in the WebAssembly binary format, and convert it to the WebAssembly text format.

The options are as follows:

- -help
    Print a help message

- -version
    Print version information

-v, - -verbose
    Use multiple times for more info

-o, - -output=FILENAME
    Output file for the generated wast file, by default use stdout

-f, - -fold-exprs
    Write folded expressions where possible

- -enable-exceptions
    Enable Experimental exception handling

- -disable-mutable-globals
    Disable Import/export mutable globals

- -disable-saturating-float-to-int
    Disable Saturating float-to-int operators

- -disable-sign-extension
    Disable Sign-extension operators

- -disable-simd
    Disable SIMD support

- -enable-threads
    Enable Threading support

- -enable-function-references
    Enable Typed function references

- -disable-multi-value
    Disable Multi-value

- -enable-tail-call
    Enable Tail-call support

- -disable-bulk-memory
    Disable Bulk-memory operations

- -disable-reference-types
    Disable Reference types (externref)

- -enable-annotations
    Enable Custom annotation syntax

- -enable-code-metadata
    Enable Code metadata

- -enable-gc
    Enable Garbage collection

- -enable-memory64
    Enable 64-bit memory

- -enable-multi-memory
    Enable Multi-memory

- -enable-extended-const
    Enable Extended constant expressions

- -enable-all
    Enable all features

- -inline-exports
    Write all exports inline

- -inline-imports
    Write all imports inline

- -no-debug-names
    Ignore debug names in the binary file

- -ignore-custom-section-errors
    Ignore errors in custom sections

- -generate-names
    Give auto-generated names to non-named functions, types, etc.

- -no-check
    Don't check for invalid modules

EXAMPLES
Parse binary file test.wasm and write text file test.wast

    $ wasm2wat test.wasm -o test.wat

Parse test.wasm, write test.wat, but ignore the debug names, if any

    $ wasm2wat test.wasm --no-debug-names -o test.wat

SEE ALSO
wasm-decompile(1), wasm-interp(1), wasm-objdump(1), wasm-stats(1), wasm-strip(1), wasm-validate(1), wasm2c(1), wast2json(1), wat-desugar(1), wat2wasm(1), spectest-interp(1)

BUGS
If you find a bug, please report it at
https://github.com/WebAssembly/wabt/issues.